LibreOffice: XWizardPage Interface Reference

LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XWizardPage Interface Reference

is a single page of a Wizard More...

`import"XWizardPage.idl";`

Inheritance diagram for XWizardPage:

## Public Member Functions
void | activatePage ()
| called when the page is activated More...
boolean | commitPage ([in] short Reason)
| is called when the page is about to be left More...
boolean | canAdvance ()
| determines whether it is allowed to travel to a later page in the wizard More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
::com::sun::star::awt::XWindow | Window
| provides read-only access to the window of the page More...
short | PageId
| denotes the ID of the page. More...

## Detailed Description

is a single page of a Wizard

Since
  OOo 3.3

## Member Function Documentation

## ◆ activatePage()

void activatePage | ( |  | ) |

called when the page is activated

## ◆ canAdvance()

boolean canAdvance | ( |  | ) |

determines whether it is allowed to travel to a later page in the wizard

You should base this decision on the state of the page only, not on a global state of the wizard. Usually, you return `FALSE` here if and only if not all necessary input on the page has been provided by the user, or the provided input is not valid.

If checked for validity is expensive, or if you prefer giving your user more detailed feedback on validity than a disabled `Next` button in the wizard, then move your checks to the commitPage() method.

## ◆ commitPage()

boolean commitPage | ( | [in] short | Reason | ) |

is called when the page is about to be left

An implementation can veto the leave by returning `FALSE` here. Usually, the decision about this depends on the current state of the page.

Parameters

  Reason | is one of the WizardTravelType constants denoting the reason why the page should be committed.

## Member Data Documentation

## ◆ PageId

short PageId
| attributereadonly

denotes the ID of the page.

Within a wizard, no two pages are allowed to have the same ID.

## ◆ Window

::com::sun::star::awt::XWindow Window
| attributereadonly

provides read-only access to the window of the page

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XWizardPage.idl